<?php
/**
 * pragmaMx  Content Management System
 * Copyright (c) 2005-2007 pragmaMx Dev Team - http://pragmaMx.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * $Source: /home/www/dps3311/home/cvsroot/pragmamx4/CoppermineMx/html/blocks/block-Gallery-center-scroll-Top_rate_pictures.php,v $
 * $Revision: 1.1.2.5 $
 * $Author: tora60 $
 * $Date: 2007/07/17 23:07:47 $
 * 
 * this file based on:
 * Coppermine Photo Gallery
 * Copyright (c) 2003-2005 Coppermine Dev Team
 * v1.1 originally written by Gregory DEMAR
 * required version: >= 1.4.3
 */

defined('mxMainFileLoaded') or die('access denied');

// //// Beginn Blockkonfiguration  //////////////////////////
// der Name/Pfad des Gallerymoduls
$cpg_name = 'Gallery';
// Anzahl der Bilder
$limit = 10;
// Lnge des Bildtitels unter dem Bild
$title_length = 17;
// Liste der Alben, aus denen keine Bilder angezeigt werden sollen. Die ID's durch Komma trennen.
$exluded_albums = '';
// /  Ende Blockkonfiguration  //////////////////////////////

if (@file_exists('modules/' . $cpg_name . '/blocks.inc.php')) {
    include('modules/' . $cpg_name . '/blocks.inc.php');
} else {
    if (mxIsAdmin()) {
        $content = 'The module "' . $cpg_name . '" doesn\'t exist or is not correctly installed. Please install this module or change the Variable $cpg_name in file blocks/' . basename(__file__) . '.';
    } 
    return;
} 
// Abfragebedingung fr versteckte Alben erstellen
$exluded_albums = preg_split('#\s*,\s*#', trim($exluded_albums));
foreach($exluded_albums as $ex) {
    $excluded[] = intval($ex);
} 
$exluded_albums = '';
if (isset($excluded)) {
    $exluded_albums = ' AND p.aid NOT IN (' . implode(',', $excluded) . ')';
} 

$result = sql_query("
SELECT p.pid, p.url_prefix, p.filepath, p.filename, p.aid, p.pic_rating, p.votes, p.title 
FROM $CONFIG[TABLE_PICTURES] AS p INNER JOIN $CONFIG[TABLE_ALBUMS] AS a ON (p.aid = a.aid) 
WHERE p.approved='YES' AND p.votes >= '{$CONFIG['min_votes_for_rating']}' AND " . $vis_groups . " " . $exluded_albums . " 
ORDER BY p.pic_rating DESC, p.votes DESC, p.pid DESC  
LIMIT $limit");

$pic = 0;
$output = '';
while ($row = sql_fetch_array($result)) {
    $theme_prefix = (defined('THEME_HAS_RATING_GRAPHICS')) ? 'themes/' . $CONFIG['theme'] . '/' : '';
    $caption = "<img src=\"modules/" . $cpg_name . '/' . $theme_prefix . "images/rating" . round($row['pic_rating'] / 2000) . ".gif\" align=\"middle\" border=\"0\"/><br />" . round($row['pic_rating'] / 2000, 2) . "/5 ";
    $caption .= sprintf($lang_get_pic_data['n_votes'], $row['votes']);
    if (empty($row['title'])) {
        if (preg_match('#^(.+)\.[^.]{2,4}$#', $row['filename'], $matches)) {
            $row['title'] = $matches[1];
        }
        $row['title'] = str_replace('_', ' ', $row['title']);
    }
    $output .= '<td align="center" valign="baseline"><a href="modules.php?name=' . $cpg_name . '&amp;act=displayimage&amp;album=toprated&amp;cat=0&amp;pos=' . $pic . '"><img src="' . get_pic_url($row, 'thumb') . '" border="0" alt="' . $row['title'] . '" title="' . $row['title'] . '"/><br />' . $caption . '</a></td>';
    $pic++;
} 
// marquee info at http://www.faqs.org/docs/htmltut/_marquee.html
if ($output) {
    $content = '<div align="center">
    <marquee loop="0" behavior="SCROLL" direction="left" width="90%" scrollamount="1" scrolldelay="1" onmouseover="this.stop()" onmouseout="this.start()">
    <table width="100%" border="0" cellpadding="4" cellspacing="0" align="center">
    <tr align="center">'
     . $output . '</tr>
    </table>
    </marquee>
    </div>
    <p align="center"><a href="modules.php?name=' . $cpg_name . '">' . $CONFIG['gallery_name'] . '</a></p>';
} 

?>